package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description:
 * @Reference:
 * @Author: Crish
 * @CreateDate:2019-04-16-17:36
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="MES_DEFECT_RECORD")
@Api("生产工单")
public class MesDefectRecord extends BaseBean {
    @Column(name="SERIAL_NUMBER")
    @ApiParam("产品条码")
    private String serialNumber;

    @Column(name="PART_NO")
    @ApiParam("物料号")
    private Integer partNo;

    @Column(name="DEFECT_CODE")
    @ApiParam("不良代码")
    private String defectCode;

    @Column(name="REPAIR_STATUS")
    @ApiParam("维修状态")
    private Double repairStatus;

    @Column(name="WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private Double workCenterCode;

    @Column(name="WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private Double workCellCode;

    @Column(name="MEMO")
    @ApiParam("备注")
    private Double memo;
}
